Page MenuHomePhabricator

SuggesterParamsParser: provide either entity-id parameter 'entity' or a list of properties 'properties'
Closed, ResolvedPublic

Description

Error

Request ID: XUn58ApAAEgAAB9eGKcAAACN
Request URL: https://www.wikidata.org/w/api.php?action=wbsgetsuggestions&amp%3Bsearch=&amp%3Bcontext=item&amp%3Bformat=json&amp%3Blanguage=en&amp%3Bcontinue=0&amp%3Bentity=Q14218385

message
[XUn58ApAAEgAAB9eGKcAAACN] /w/api.php?action=wbsgetsuggestions&amp%3Bsearch=&amp%3Bcontext=item&amp%3Bformat=json&amp%3Blanguage=en&amp%3Bcontinue=0&amp%3Bentity=Q14218385   InvalidArgumentException from line 49 of /srv/mediawiki/php-1.34.0-wmf.16/extensions/PropertySuggester/src/SuggesterParamsParser.php: provide either entity-id parameter 'entity' or a list of properties 'properties'
trace
#0 /srv/mediawiki/php-1.34.0-wmf.16/extensions/PropertySuggester/src/GetSuggestions.php(102): PropertySuggester\SuggesterParamsParser->parseAndValidate(array)
#1 /srv/mediawiki/php-1.34.0-wmf.16/includes/api/ApiMain.php(1587): PropertySuggester\GetSuggestions->execute()
#2 /srv/mediawiki/php-1.34.0-wmf.16/includes/api/ApiMain.php(531): ApiMain->executeAction()
#3 /srv/mediawiki/php-1.34.0-wmf.16/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#4 /srv/mediawiki/php-1.34.0-wmf.16/api.php(86): ApiMain->execute()
#5 /srv/mediawiki/w/api.php(3): include(string)
#6 {main}
Notes

Shows up in logs a dozen times today. Nothing for the previous month.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2019, 10:17 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM

Still reproducible. Adds noise to fatal error log.

Change 560209 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/PropertySuggester@master] Catch bad params and throw error properly

https://gerrit.wikimedia.org/r/560209

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 22 2019, 12:52 PM

Change 560209 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] Catch bad params and throw error properly

https://gerrit.wikimedia.org/r/560209

brennen moved this task from Backlog to Logs/Train on the User-brennen board.
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Jan 7 2020, 6:15 PM
Maintenance_bot moved this task from Incoming to In progress on the User-Ladsgroup board.